﻿#if UNITY_EDITOR
using UnityEngine;
using UnityEditor;

public class MakeCraftableItem
{
    [MenuItem("Assets/Create/Craftable Item")]
    public static void Create()
    {
        CraftableItem item = ScriptableObject.CreateInstance<CraftableItem>();
        AssetDatabase.CreateAsset(item, "Assets/Prefabs/Recipes/NewItem.asset");
        AssetDatabase.SaveAssets();
        EditorUtility.FocusProjectWindow();
        Selection.activeObject = item;
    }
}
#endif