﻿#if UNITY_EDITOR
using UnityEngine;
using UnityEditor;

public class MakeRecipe
{
    [MenuItem("Assets/Create/Recipe")]
    public static void Create()
    {
        Recipe recipe = ScriptableObject.CreateInstance<Recipe>();
        AssetDatabase.CreateAsset(recipe, "Assets/Prefabs/Recipes/NewRecipe.asset");
        AssetDatabase.SaveAssets();
        EditorUtility.FocusProjectWindow();
        Selection.activeObject = recipe;
    }
}
#endif