﻿using UnityEngine;

[RequireComponent(typeof(Camera))]
[RequireComponent(typeof(Rigidbody))]
public class CameraFollow : MonoBehaviour
{
    [SerializeField]
    private Transform target;

    private new Rigidbody rigidbody;

    private void Start()
    {
        rigidbody = GetComponent<Rigidbody>();
    }

    private void FixedUpdate()
    {
        Vector3 targetPos = target.position;
        targetPos.z = -10f;
        rigidbody.velocity = (targetPos - transform.position) * 2.5f;
    }
}