﻿using UnityEngine;

public class GainItem : MonoBehaviour
{
    [SerializeField]
    private CraftableItem item;

    [SerializeField]
    private CraftDialogue dialogue;

    [SerializeField]
    private Canvas indicator;

    public void PickupItem()
    {
        item.Unlock();
        dialogue.gameObject.SetActive(true);
        dialogue.SetItem(item);
        indicator.gameObject.SetActive(false);
        Destroy(gameObject);
    }
}