﻿using UnityEngine;

public class GameController : MonoBehaviour
{
    public static GameController gc;
    private GameState gameState;

    private void Awake()
    {
        gc = this;
        gameState = GameState.CRAFTING;
    }

    public void SetState(GameState gameState)
    {
        this.gameState = gameState;
    }

    public GameState GetState()
    {
        return gameState;
    }
}

public enum GameState
{
    OVERWORLD,
    CRAFTING,
    CRAFT_MSG,
    INTERACT
}