﻿using UnityEngine;
using System;

[Serializable]
public class Recipe : ScriptableObject
{
    public CraftableItem item1, item2, result;

    public bool CheckRecipe(CraftableItem item1, CraftableItem item2)
    {
        return ((this.item1 == item1 && this.item2 == item2)
            || (this.item1 == item2 && this.item2 == item1));
    }

    public CraftableItem GetResult()
    {
        return result;
    }
}