﻿using UnityEngine;

[RequireComponent(typeof(Collider2D))]
public class UseTemple : MonoBehaviour
{
    public static UseTemple temple;

    [SerializeField]
    private Canvas templeCanvas;

    private void Start()
    {
        temple = this;
    }

    public void Interact()
    {
        templeCanvas.gameObject.SetActive(true);
    }

    private void OnTriggerEnter2D(Collider2D other)
    {
        if (other.tag == "Player")
            PlayerState.state.SetCanUseTemple();
    }

    private void OnTriggerStay2D(Collider2D other)
    {
        if (other.tag == "Player")
            PlayerState.state.SetCanUseTemple();
    }
}