﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class AreaText : MonoBehaviour
{
    public static AreaText txt;

    [SerializeField]
    private Text areaName;

    private Coroutine routine;

    private void Start()
    {
        txt = this;
    }

    public void ChangeText(string text)
    {
        areaName.text = text;
        if (routine != null)
            StopCoroutine(routine);

        routine = StartCoroutine(HideText());
    }

    private IEnumerator HideText()
    {
        yield return new WaitForSeconds(3f);
        areaName.text = "";
        routine = null;
    }
}