﻿using UnityEngine;
using UnityEngine.UI;

public class Slot : MonoBehaviour
{
    private CraftableItem item;

    [SerializeField]
    private Image img;
    [SerializeField]
    private Text txt;

    public void Clear()
    {
        item = null;
        img.sprite = null;
        txt.text = "";
    }

    public CraftableItem GetItem()
    {
        return item;
    }

    public void SetItem(CraftableItem item)
    {
        this.item = item;
        img.sprite = item.itemSprite;
        txt.text = item.itemName;
    }
}